<template>
  <q-btn
    v-if="!$props.running"
    :disable="!$props.ready || !connected"
    round
    push
    icon="play_arrow"
    size="xl"
    text-color="teal"
    @click="onPlay"
  />
  <q-btn v-else round push icon="stop" size="xl" text-color="negative" @click="onStop" />
</template>

<script lang="ts">
import { defineComponent, computed } from 'vue';
import { useStore } from 'src/store';

export default defineComponent({
  emits: ['play', 'stop'],
  props: {
    running: {
      type: Boolean,
      default: () => false,
    },
    ready: {
      type: Boolean,
      default: () => false,
    },
  },
  setup(props, { emit }) {
    const $store = useStore();
    const connected = computed(() => $store.state.status.connected);
    const onPlay = () => {
      emit('play');
    };
    const onStop = () => {
      emit('stop');
    };

    return {
      onPlay,
      onStop,
      connected
    };
  },
});
</script>
